Đến nội dung


Hình ảnh

Vẽ hình chữ nhật có 4 điểm nằm trên 4 cạnh...


  • Please log in to reply
16 replies to this topic

#1 langtu_ott

langtu_ott

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 April 2011 - 10:34 AM

có bác nào biết cách vẽ hình chữ nhật có 4 điểm nằm trên 4 cạnh của 1 hình chữ nhật khác không chỉ giúp e với!
Cảm ơn mọi người nhiều!
  • -1

#2 tienquyet123

tienquyet123

    biết vẽ polygon

  • Members
  • PipPip
  • 74 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 19 April 2011 - 10:44 AM

đây là 1 câu đố hả chủ topic??
  • 1

#3 langtu_ott

langtu_ott

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 April 2011 - 02:05 PM

đây là 1 câu đố hả chủ topic??

@:tienquyet123: Không phải câu đố đâu. mình thiết kế vỉ kèo cho nhà thép nên cần phương pháp vẽ này. Ai biết chỉ dùm nhá! Thanks nhiều!
  • 0

#4 daik50

daik50

    biết vẽ point

  • Members
  • PipPip
  • 96 Bài viết
Điểm đánh giá: 22 (tàm tạm)

Đã gửi 19 April 2011 - 02:12 PM

@:tienquyet123: Không phải câu đố đâu. mình thiết kế vỉ kèo cho nhà thép nên cần phương pháp vẽ này. Ai biết chỉ dùm nhá! Thanks nhiều!


Bạn nói thế thì sao các bác ý trả lời được, bạn hỏi quá chung chung
VD trên một vỉ kèo của bạn có quá nhiều hình chữ nhật nội tiếp bên trong
Bạn thử đưa một ví dụ bằng hình ảnh lên xem
  • 0

#5 tienquyet123

tienquyet123

    biết vẽ polygon

  • Members
  • PipPip
  • 74 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 19 April 2011 - 02:57 PM

Bạn diễn tả rõ câu hỏi hơn đi?hoặc post hình lên sẽ có các pro về xây dựng giúp bạn:ph34r:
  • 0

#6 langtu_ott

langtu_ott

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 April 2011 - 03:01 PM

ý mình muốn hỏi là: cho một khung hình chữ nhật ( axb=500*1000) Mình muốn chế tạo một thanh thép L50(chiều dài tuỳ ý )sao cho 4 đỉnh của thanh L50 nằm trên 4 cạnh của khung hình chữ nhật đó.
  • 0

#7 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 19 April 2011 - 05:18 PM

Trời, sao anh không vẽ ra???
Không bao giờ vẽ được trừ đó là hình vuông!
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#8 tienquyet123

tienquyet123

    biết vẽ polygon

  • Members
  • PipPip
  • 74 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 20 April 2011 - 08:28 AM

ý mình muốn hỏi là: cho một khung hình chữ nhật ( axb=500*1000) Mình muốn chế tạo một thanh thép L50(chiều dài tuỳ ý )sao cho 4 đỉnh của thanh L50 nằm trên 4 cạnh của khung hình chữ nhật đó.


Liệu đề bài bạn cho có sai ko thế?thanh thép L50 hoặc bất kỳ L... nào đi nữa thì cũng chẳng vẽ đc.Câu hỏi khó quá (^_^)
  • 1

#9 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 20 April 2011 - 09:31 AM

Trời, sao anh không vẽ ra???
Không bao giờ vẽ được trừ đó là hình vuông!

Hoàn toàn có thể vẽ được. Cái này hình như trong mục đố vui có đề cập đến rôi.
Cách làm như sau:
Hình đã gửi
1.cho hình chữ nhật ABCD
2. Lấy E1 bất kì trên AD
3. Lấy E2 trên BC sao cho AE1 = CE2
4. Nối E1 với E2. lấy F là trung điểm E1, E2.
5. vẽ đường tròn tâm F cắt AB tại AB tại G1, Cắt CD tại G2.
6. Nối E1,G1,E2,G2 ta được hình chữ nhâtỵ nội tiếp.
  • 1
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#10 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5683 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 20 April 2011 - 09:45 AM

Ý, bác lại k để ý là bạn ấy muốn 1 thanh L50, tức là 4 thanh (4 cạnh của HCN nội tiếp) bằng nhau, tức hình bên trong là Hình vuông chứ k phải HCN, tức chỉ khi nào hình bên ngoài là Hình vuông thì mới mần được ý ạ. CÒn L bên trong không nhất thiết là 1 thanh thì lại nhiều nghiệm quá ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#11 tienquyet123

tienquyet123

    biết vẽ polygon

  • Members
  • PipPip
  • 74 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 20 April 2011 - 09:47 AM

he he
Cảm ơn bác phamngoctu cách đó hay và đúng là ra thật :D
  • 0

#12 tienquyet123

tienquyet123

    biết vẽ polygon

  • Members
  • PipPip
  • 74 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 20 April 2011 - 09:52 AM

Hoàn toàn có thể vẽ được. Cái này hình như trong mục đố vui có đề cập đến rôi.
Cách làm như sau:
Hình đã gửi
1.cho hình chữ nhật ABCD
2. Lấy E1 bất kì trên AD
3. Lấy E2 trên BC sao cho AE1 = CE2
4. Nối E1 với E2. lấy F là trung điểm E1, E2.
5. vẽ đường tròn tâm F cắt AB tại AB tại G1, Cắt CD tại G2.
6. Nối E1,G1,E2,G2 ta được hình chữ nhâtỵ nội tiếp.


câu trả lời này của bác phamngoctu phù hợp với câu hỏi đầu topic
Còn với cái câu thanh L50 gì đó có thể ý vẫn giống như trên nhưng diễn tả hơi lệch?
  • 0

#13 langtu_ott

langtu_ott

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 April 2011 - 04:32 PM

Xin cảm ơn bác: phamngoctukts! e đang cần cái này lắm, may mà có bác, :D
Cảm ơn mọi người đã tham gia góp ý!
  • 1

#14 nghiautc

nghiautc

    biết lệnh copy

  • Members
  • PipPipPip
  • 112 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 20 April 2011 - 10:29 PM

Hoàn toàn có thể vẽ được. Cái này hình như trong mục đố vui có đề cập đến rôi.
Cách làm như sau:
Hình đã gửi
1.cho hình chữ nhật ABCD
2. Lấy E1 bất kì trên AD
3. Lấy E2 trên BC sao cho AE1 = CE2
4. Nối E1 với E2. lấy F là trung điểm E1, E2.
5. vẽ đường tròn tâm F cắt AB tại AB tại G1, Cắt CD tại G2.
6. Nối E1,G1,E2,G2 ta được hình chữ nhâtỵ nội tiếp.

Nếu mình có cach cạnh đã biết như hình sau làm sau vẽ nội tiếp hình chữ nhật trong
Hình đã gửi
  • 0

#15 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 21 April 2011 - 01:22 AM

Nếu mình có cach cạnh đã biết như hình sau làm sau vẽ nội tiếp hình chữ nhật trong
Hình đã gửi

Cái này rất khó diễn tả bằng lời. Tìm chính xác điểm trên hình chữ nhật để cạnh hình chữ nhật nhỉ là rất khó. Mình viét cho bạn cái lisp
có thể thực hiện được yêu cầu đó nhưng không phải là tuyệt đối.

(defun c:cn()
(setq name (car(entsel "\nChon dinh chu nhat: "))
kc (getreal "\nNhap chieu rong: ")
sso (/ 1 (getreal "\nNhap sai so cho phep: "))
point(acet-geom-vertex-list name)
p1 (car point)
p2 (cadr point)
p3 (caddr point)
dis (distance p1 p3)
tam (polar p1 (angle p1 p3) (/ dis 2))
dmin (/ (distance p1 p2) 2)
dmax (/ dis 2)
i dmin
)
(while (< i dmax)
(entmake (list (cons 0 "CIRCLE") (cons 10 tam) (cons 40 i)))
(setq el (entlast))
(setq lpo (ACET-GEOM-INTERSECTWITH el name 0))
(setq pc1 (cadr lpo)
pc2 (caddr lpo)
pc3 (nth 5 lpo)
pc4 (nth 6 lpo)
kc1 (distance pc2 pc3)
)
(if (equal kc kc1 (* sso 10))
(progn
(command "pline" pc1 pc2 pc3 pc4 "c")
(setq i dmax)
)
)
(setq i (+ i sso))
(entdel el)
)
)
BS: Sai số càng lớn thì độ chính xác càng cao và chương trinhfchayj càng chậm ^^.
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#16 DuongTrungHuy

DuongTrungHuy

    biết lệnh copy

  • Members
  • PipPipPip
  • 116 Bài viết
Điểm đánh giá: 41 (tàm tạm)

Đã gửi 21 April 2011 - 02:42 PM

Cái này rất khó diễn tả bằng lời. Tìm chính xác điểm trên hình chữ nhật để cạnh hình chữ nhật nhỉ là rất khó. Mình viét cho bạn cái lisp
có thể thực hiện được yêu cầu đó nhưng không phải là tuyệt đối.

Trên cơ sở ý tưởng đó (của 'phamngoctukts'). Bạn cũng có thể sử dung cái này..
(defun c:cn()
(defun sqr(x) (setq sobo (* x x)))
(setvar "osmode" 0)
(setq name (car(entsel "\nChon hinh chu nhat: "))
l0 (getreal "\nNhap chieu rong: ")
point(acet-geom-vertex-list name)
p1 (car point) p2 (cadr point) p3 (caddr point) p4 (cadddr point)
de 0.1 a (/ (distance p1 p2) 2) bB (/ (distance p2 p3) 2)
lc (- l0 de)
)
(while (> de 0.000000001)
(while (> (+ (sqr lc) (sqr (- a (sqrt (- (+ (sqr a) (sqr lc)) (* 2 bB lc)))))) (* l0 l0)) (setq lc (- lc de)))
(setq lc (+ lc de) de (/ de 10.0))
)
(setq lc2 (sqrt (- (sqr l0) (sqr lc)))
dA (Polar p1 (angle p1 p4) lc)
dB (Polar p1 (angle p1 p2) lc2)
dC (Polar p2 (angle p2 p3) (- (* 2 BB) lc))
dD (Polar p3 (angle p3 p4) lc2)
)
(command "Pline" dA dB dC dD "c")
(Princ)
)
Ghi chú: Cũng có thể tùy theo l0 bài toán sẽ vô nghiệm, phần đó dành cho Bạn "langtu_ott" trả lời!
  • 1

#17 nghiautc

nghiautc

    biết lệnh copy

  • Members
  • PipPipPip
  • 112 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 21 April 2011 - 04:01 PM

Trên cơ sở ý tưởng đó (của 'phamngoctukts'). Bạn cũng có thể sử dung cái này..
(defun c:cn()
(defun sqr(x) (setq sobo (* x x)))
(setvar "osmode" 0)
(setq name (car(entsel "\nChon hinh chu nhat: "))
l0 (getreal "\nNhap chieu rong: ")
point(acet-geom-vertex-list name)
p1 (car point) p2 (cadr point) p3 (caddr point) p4 (cadddr point)
de 0.1 a (/ (distance p1 p2) 2) bB (/ (distance p2 p3) 2)
lc (- l0 de)
)
(while (> de 0.000000001)
(while (> (+ (sqr lc) (sqr (- a (sqrt (- (+ (sqr a) (sqr lc)) (* 2 bB lc)))))) (* l0 l0)) (setq lc (- lc de)))
(setq lc (+ lc de) de (/ de 10.0))
)
(setq lc2 (sqrt (- (sqr l0) (sqr lc)))
dA (Polar p1 (angle p1 p4) lc)
dB (Polar p1 (angle p1 p2) lc2)
dC (Polar p2 (angle p2 p3) (- (* 2 BB) lc))
dD (Polar p3 (angle p3 p4) lc2)
)
(command "Pline" dA dB dC dD "c")
(Princ)
)
Ghi chú: Cũng có thể tùy theo l0 bài toán sẽ vô nghiệm, phần đó dành cho Bạn "langtu_ott" trả lời!

Quá xuất sắc. Không cong gì để chê cả
  • 0